#
# spec file for package libchewing (Version 0.2.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libchewing
Version:        0.2.7
Release:        15.4
License:        LGPL
Group:          System/I18n/Chinese
Autoreqprov:    on
URL:            http://chewing.csie.net/
Source0:        http://chewing.csie.net/download/libchewing/libchewing-0.2.7.tar.bz2
Patch0:         libtool-autoconf.patch
Patch1:         bugzilla-155270-libchewing-init-chewing-correctly.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Intelligent Phonetic Input Method Library for Traditional Chinese

%description
Intelligent phonetic input method library for traditional Chinese.



Authors:
--------
    Jim Huang <jserv@kaffe.org>
    Kanru Chen <kanru.96@stu.csie.ncnu.edu.tw>
    Yun-Ta Tsai <bbns.tsai@msa.hinet.net>
    Kang-min Liu <gugod@gugod.org>
    Wei-zhong Yang <wz.yang@msa.hinet.net>
    Kuang-che Wu <kcwu@csie.org>
    Shiva Huang <blueshiva@giga.net.tw>
    Lu-chuan Kung <lckung@iis.sinica.edu.tw>
    Kang-pen Chen <kpchen@iis.sinica.edu.tw>

%debug_package
%package devel
Summary:        Intelligent Phonetic Input Method Library for Traditional Chinese
Group:          System/I18n/Chinese
Requires:       %{name} = %{version}

%description devel
Intelligent phonetic input method library for traditional Chinese



Authors:
--------
    Jim Huang <jserv@kaffe.org>
    Kanru Chen <kanru.96@stu.csie.ncnu.edu.tw>
    Yun-Ta Tsai <bbns.tsai@msa.hinet.net>
    Kang-min Liu <gugod@gugod.org>
    Wei-zhong Yang <wz.yang@msa.hinet.net>
    Kuang-che Wu <kcwu@csie.org>
    Shiva Huang <blueshiva@giga.net.tw>
    Lu-chuan Kung <lckung@iis.sinica.edu.tw>
    Kang-pen Chen <kpchen@iis.sinica.edu.tw>

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p0

%build
libtoolize --force
autoreconf --force --install --verbose
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} 
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/lib*.so.*
%dir /usr/share/chewing/
/usr/share/chewing/*

%files devel
%defattr(-, root, root)
/usr/include/*
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/chewing.pc

%changelog -n libchewing
* Tue May 23 2006 - zsu@suse.de
- bugzilla #155270,#177882 new patch for #155270 to avoid #177882.
  Clearing the whole ChewingData structure will clear config data
  as well, which causes another crash in libchewing (#177882).
  So we need keep ChewingData.Config member while clearing others.
* Tue May 09 2006 - zsu@suse.de
- bugzilla #155270: Fix scim crash issue when switching from Chewing
  to other input method.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - mfabian@suse.de
- fix libtool problem in configure.ac to make the package build
  again.
* Tue Aug 09 2005 - mfabian@suse.de
- update to 0.2.7.
* Mon Feb 28 2005 - mfabian@suse.de
- update to 0.2.6.
* Thu Feb 17 2005 - mfabian@suse.de
- libchewing did overwrite the return value of getenv("HOME")
  and added ".chewing". This is bad because it changed the value
  of HOME in the environment. If the value of HOME is wrong,
  external graphical programs like the Anthy dictionary interface
  "kasumi" cannot be started anymore from the scim-panel because
  they cannot find ~/.Xauthority and therefore cannot open a
  window.
* Tue Jan 25 2005 - mfabian@suse.de
- update to 0.2.5.
* Tue Dec 21 2004 - mfabian@suse.de
- new package: libchewing, version 0.2.4.
